Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml.zip
Class XMLZipFileAccessor

`java.lang.Object
DatasourceAccessor
oracle.toplink.sdk.SDKAccessor
oracle.toplink.xml.XMLFileAccessor
oracle.toplink.xml.zip.XMLZipFileAccessor`

All Implemented Interfaces:
  XMLAccessor

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class XMLZipFileAccessor
extends XMLFileAccessor

This class extends the `XMLFileAccessor` class; supplanting subdirectories with ZIP files. i.e. The base directory will contain a collection of ZIP files, each containing the files that would normally be held in the corresponding subdirectories.

Since:
  TopLink/Java 3.5
See Also:
  Serialized Form

Constructor Summary
`XMLZipFileAccessor()` Deprecated. Default constructor.

Method Summary
`void` | `addFilePolicy(java.lang.String rootElementName, XMLFileAccessorFilePolicy filePolicy)` Deprecated. Override because multiple file policies is unsupported.

Methods inherited from class oracle.toplink.xml.XMLFileAccessor
`connect, convert, createStreamSource, deleteStream, disconnect, dropStreamSource, getDefaultFilePolicy, getExistenceCheckStream, getExistingWriteStream, getFilePolicy, getNewWriteStream, getReadStream, getReadStreams, getReadStreams, getXMLTranslator, setDefaultFilePolicy, setXMLTranslator`

Methods inherited from class oracle.toplink.sdk.SDKAccessor
`basicBeginTransaction, basicCommitTransaction, basicExecuteCall, basicRollbackTransaction, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLZipFileAccessor

    public XMLZipFileAccessor()

  Deprecated.
  Default constructor.

Method Detail

### addFilePolicy

    public void addFilePolicy(java.lang.String rootElementName,
                              XMLFileAccessorFilePolicy filePolicy)

  Deprecated.
  Override because multiple file policies is unsupported.
  Overrides:
    `addFilePolicy` in class `XMLFileAccessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD